#!/usr/bin/python
# -*- coding: utf-8 -*-

import curses
import locale

locale.setlocale(locale.LC_ALL,"")

def doStuff(screen):
    screen.addstr('termname: %s\n' % curses.termname())
    screen.keypad(0)
    screen.scrollok(1)
    curses.nl()
    curses.mousemask(curses.ALL_MOUSE_EVENTS | curses.REPORT_MOUSE_POSITION)
    while True:
        c = screen.getch()
        s = ''

        screen.nodelay(1)
        while c != -1:
            try:
                s += chr(c)
            except ValueError:
                s += '?'
            screen.addstr('0x%02x,' % c)
            c = screen.getch()
        screen.nodelay(0)

        screen.addstr(' %r\n' % s)

        screen.refresh()

curses.wrapper(doStuff)
